commit:     943d4ab4e41925dd8b1c76ff543ad6e07cc12866
Author:     charIes17 <charles17 <AT> arcor <DOT> de>
AuthorDate: Sat Jan 20 21:34:33 2018 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Tue Mar 27 00:42:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=943d4ab4

lxde-base/lxinput: Add locale handling

Package-Manager: Portage-2.3.19, Repoman-2.3.6
Closes: https://github.com/gentoo/gentoo/pull/6919

 lxde-base/lxinput/lxinput-0.3.5-r1.ebuild | 35 +++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/lxde-base/lxinput/lxinput-0.3.5-r1.ebuild 
b/lxde-base/lxinput/lxinput-0.3.5-r1.ebuild
new file mode 100644
index 00000000000..3b5faf9e9c5
--- /dev/null
+++ b/lxde-base/lxinput/lxinput-0.3.5-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PLOCALES="af ar ast be bg bn_IN bn ca cs da de el en_GB eo es et eu fa fi fo 
fr frp
+gl he hr hu id is it ja kk ko lg lt ml ms nb nl nn pa pl ps pt_BR pt ro
+ru si sk sl sr@latin sr sv te th tr tt_RU ug uk ur_PK ur vi zh_CN zh_TW"
+
+PLOCALE_BACKUP="en_GB"
+
+inherit l10n
+
+DESCRIPTION="LXDE keyboard and mouse configuration tool"
+HOMEPAGE="http://lxde.org/";
+SRC_URI="mirror://sourceforge/lxde/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~x86 ~arm-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="dev-libs/glib:2
+       x11-libs/gtk+:2"
+DEPEND="${RDEPEND}
+       sys-devel/gettext
+       virtual/pkgconfig
+       >=dev-util/intltool-0.40.0"
+
+src_prepare() {
+       default
+
+       export LINGUAS="${LINGUAS:-${PLOCALE_BACKUP}}"
+       l10n_get_locales > po/LINGUAS || die
+}

Reply via email to